Subject: Re: [oauth-ext-review] Request for OAuth error codes: need_info, request_submitted

From: Eve Maler <[email-masked]>
Date: Tue, 16 Jan 2018 18:09:52 -0800

Hello-- Since we first sent this request, the specification has been
published in its final form. Please consider this message an updated
request. First, the editorial issue mentioned previously has been
corrected. Second, the specification link has changed
<https://docs.kantarainitiative.org/uma/wg/rec-oauth-uma-grant-2.0.html>.
Third, the IANA request now appears in Section 7.5
<https://docs.kantarainitiative.org/uma/wg/rec-oauth-uma-grant-2.0.html#rfc.section.7.5>
instead of Section 7.4. Fourth and more significantly, one error code has
been added and another has had an interior addition. Here is the complete
list, with additions highlighted in bold:

   - need_info (and its subsidiary parameters)
   - *request_denied*
   - request_submitted (and its subsidiary parameter*s*)

Finally, for registry listing purposes, here are shorter/more convenient
entry references we recommend:

   - Change controller short reference: "Kantara UMA WG"
   - Specification short reference: "UMA 2.0 Grant for OAuth 2.0, Section
   3.3.6"

Thank you. We look forward to your response.

*Eve Maler*ForgeRock Office of the CTO | VP Innovation & Emerging Technology
Cell +1 425.345.6756 | Skype: xmlgrrl | Twitter: @xmlgrrl

On Wed, Jul 5, 2017 at 9:48 PM, Eve Maler <[email-masked]> wrote:

> Hello again,
>
> I'm just checking in again on this request since it has been more than two
> weeks since we originally sent it in. Thank you.
>
>
> *Eve Maler*ForgeRock Office of the CTO | VP Innovation & Emerging
> Technology
> Cell +1 425.345.6756 <(425)%20345-6756> | Skype: xmlgrrl | Twitter:
> @xmlgrrl
>
> On Fri, Jun 16, 2017 at 5:40 PM, Eve Maler <[email-masked]>
> wrote:
>
>> As required by RFC 6749 Section 11.4, the authors of the specification User-Managed
>> Access (UMA) 2.0 Grant for OAuth 2.0 Authorization
>> <https://docs.kantarainitiative.org/uma/wg/oauth-uma-grant-2.0-05.html> are
>> requesting to register the following error codes:
>>
>>    - need_info (and its subsidiary parameters)
>>    - request_submitted (and its subsidiary parameter)
>>
>> The error code definitions appear in Section 3.3.6
>> <https://docs.kantarainitiative.org/uma/wg/oauth-uma-grant-2.0-05.html#uma-grant-type> (the
>> spec mentions Section 3.3.1 for both error codes; these are editorial
>> issues that have been reported and will be corrected). The IANA request
>> appears in Section 7.4
>> <https://docs.kantarainitiative.org/uma/wg/oauth-uma-grant-2.0-05.html#rfc.section.7.4>
>> .
>>
>> Thank you. We look forward to your response.
>>
>>
>> *Eve Maler*ForgeRock Office of the CTO | VP Innovation & Emerging
>> Technology
>> Cell +1 425.345.6756 <(425)%20345-6756> | Skype: xmlgrrl | Twitter:
>> @xmlgrrl
>>
>
>